<template>
  <div id="body">
    <head-bar :title="restaurant.name" back cart />

    <div class="container mx-auto mt-8">
      <div id="MealList" class="container mx-auto mt-8">
        <v-row>
          <meals-card
            v-for="meal in restaurant.items"
            :key="meal._id"
            :meal="meal"
            class="mb-4"
          />
        </v-row>
      </div>
    </div>
  </div>
</template>

<script lang="ts">
import Vue from 'vue'

export default Vue.extend({
  data: () => {
    return {
      restaurant: {},
    }
  },
  mounted() {
    this.getRestaurant()
  },
  methods: {
    async getRestaurant() {
      this.restaurant = (
        await this.$axios.$get(
          'http://consumer.localhost:4000/restaurants/' +
            this.$route.params.page +
            '/items',
          { headers: { 'Access-Control-Allow-Origin': '*' } }
        )
      )[0]
    },
  },
})
</script>
